Bug 1790352 (python-socks5line) - Review Request: python-socks5line - Helper for socks5-unaware clients
Summary: Review Request: python-socks5line - Helper for socks5-unaware clients
Keywords:
Status: CLOSED ERRATA
Alias: python-socks5line
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: python-msldap
TreeView+ depends on / blocked
 
Reported: 2020-01-13 07:46 UTC by Fabian Affolter
Modified: 2020-02-08 00:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-01 01:19:44 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-01-13 07:46:02 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-socks5line.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-socks5line-0.0.3-1.fc31.src.rpm

Project URL: https://github.com/skelsec/socks5line

Description:
Helping tunneling for proxy-unaware scripts.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=40464526

rpmlint output:
$ rpmlint python-socks5line-0.0.3-1.fc31.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint python3-socks5line-0.0.3-1.fc31.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-01-21 19:51:10 UTC
- Packages MUST NOT have dependencies (either build-time or runtime) on
  packages named with the unversioned python- prefix unless no properly
  versioned package exists. Dependencies on Python packages instead MUST
  use names beginning with python2- or python3- as appropriate.
  Note: Unversionned Python dependency found.
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/Python/#_dependencies

BuildRequires:  python-setuptools → BuildRequires:  python3-setuptools

 - License ok
 - Latest version packaged
 - Builds in mock
 - Conforms to Packaging Guidelines

Package approved. Please fix the aforementioned issue before import.

Comment 2 Fabian Affolter 2020-01-21 21:33:39 UTC
* Tue Jan 21 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.3-2
- Fix BR

Updated files:
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-socks5line.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-socks5line-0.0.3-2.fc31.src.rpm

Comment 3 Fabian Affolter 2020-01-22 08:03:47 UTC
Thanks for the review.

Comment 4 Gwyn Ciesla 2020-01-22 14:04:35 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-socks5line

Comment 5 Fedora Update System 2020-01-22 17:21:26 UTC
FEDORA-2020-97f2f1613d has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-97f2f1613d

Comment 6 Fedora Update System 2020-01-22 17:46:13 UTC
FEDORA-2020-9fd370e5fa has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-9fd370e5fa

Comment 7 Fedora Update System 2020-01-24 19:47:27 UTC
python-socks5line-0.0.3-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-9fd370e5fa

Comment 8 Fedora Update System 2020-01-24 22:13:49 UTC
python-socks5line-0.0.3-2.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-14cea6303d

Comment 9 Fedora Update System 2020-01-25 08:18:05 UTC
python-socks5line-0.0.3-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-97f2f1613d

Comment 10 Fedora Update System 2020-02-01 01:19:44 UTC
python-socks5line-0.0.3-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-02-02 01:34:20 UTC
python-socks5line-0.0.3-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-02-08 00:29:33 UTC
python-socks5line-0.0.3-2.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.